Page MenuHomePhabricator

Wikimania 2018 Hackathon Opening Session
Closed, ResolvedPublic

Description

The wikimania hackathon opening will be held in the main hacking area.
The intention of this session will be to orient and welcome participants to the hackathon and give participants a chance to explain to each other what they are working on and ask for help from each other.

Agenda (this will probably change):

  • Welcome (Rachel)
  • Friendly Space (Caroline)
  • Mentoring / Newcomers (Srishti)
  • Documentation (Nick)
  • Language support (Amir)
  • Showcase (Siebrand)
  • Logistics (Rachel)
  • Open Mic (all participants) (Notes by Nick and Chris)

Etherpad: https://etherpad.wikimedia.org/p/wm2018hackopen

Event Timeline

Rfarrand created this task.Jun 5 2018, 5:52 PM
Rfarrand triaged this task as Normal priority.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 5 2018, 5:52 PM
Vvjjkkii renamed this task from Wikimania 2018 Hackathon Opening Session to 8kbaaaaaaa.Jul 1 2018, 1:06 AM
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii removed Rfarrand as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot assigned this task to Rfarrand.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot renamed this task from 8kbaaaaaaa to Wikimania 2018 Hackathon Opening Session .
CommunityTechBot added a subscriber: Aklapper.
CKoerner_WMF updated the task description. (Show Details)Jul 18 2018, 7:55 AM
Quiddity updated the task description. (Show Details)Jul 18 2018, 7:58 AM

Permanent copy from Etherpad:

Wikimania 2018 Hackathon opening notes

Welcome (Rachel)

Friendly Space Policy (Caroline)

Mentoring / Newcomers (Srishti)

Documentation (Nick)

  • Docs or it didn't happen!
  • If you're working at a table make a sign so folks know what you're working on (to help or ask questions)
  • Update your phab tasks (or create one!)
  • Create user documentaiton as you go. There's a table in the back corner of the main hackathon room to help

Language support (Amir)

  • If you speak any language you have the skills to do something cool and useful!
    • You can test, you can translate (sotware and articles), test bots, and more
    • See Amir (he also has cookies)

Showcase (Siebrand)

Open Mic (all participants)

  • Bryan Davis - WMF Cloud Services - (Chase, James Hare, Srishti) Folks here to help learn more about Developer outreach, Phabricator, Gerrit, and services the foundation provides to support tech volunteers
  • Johan - If you want to know anything about tech in Wikimedia spaces you want to know about Tech News! If you want to let editors know about changes - put it in Tech News. Come talk to me!
  • Lea - Help or motivation on working on documenation come see us at the Documenation table
  • Keegan - CommRel specialist, Structured Data team on Commons - topview on Wikidata, currentlyDepicts properties., is it a gummy bear, a microhphone, or a gummer bear talking tinto a microphone. Table #2. Talking about Strucuttered licenscing next month, would love your input.
  • Adam / Addshore - WMDE - Wikimedia Germany Technical Wishlist - revision slider, putting together some small tickets to work on. Looking for folks to help. Come find me at table #7
  • Stephane, Kiwix - on github.com/openzim - working on Wikimedia offline content
  • Charlie - one of the folks from WMDE design team - looking for folks to talk about gendered categories on your wiki. How do you handle them? Labels on Wikidata on mobile. Wikidata for infoboex. lexographical data. Come talk to me at table #7. If you need design or usablity help come find me.
  • Birgit - WMDE - Technical Advice IRC meeting - room Esino Lario 5pm today. Come after hackathon every wednesday at 3pm UTC for the same thing, where people can help answer any technical questions.
  • Chales Matthews - Science Source - wikidata related areas, downloading scientific articles. Scripts to add content to project. Use-cases for adaptation structure. Need help with SPARQL queries for text-mining. Architecutral questions about scrapers.
  • Andrea - political data from german ???[parlament?] looking for people from Wikidata project interested in importing data!
  • Lea Voget - WMDE - Want your feedback and insights about edit-conflicts. Also on moving files from Wikipedia to Commons.
  • Andrew Lih - WMDC - one big question how might we engage with folks with how to depect art in wikidata. Come find me at table 8 How might we improve the process? Working with the Smithsonian to figure this out.
  • Francisco Dans - WMF - Wikimedia statistics - if you want to know how to use the metrics or the pageview tool, or want to contribute, or you need data! come to me! Table (gestures toward the middle back of room)
  • Eugene Wikimedia Cameroon - Looking for flks with experience with extension and templates
  • Andy Mabbett - Pigsonthewing- WordPress plugin to associate wordpress cateory and tags with Wikidata. Also around if anyone needs help with creating wikidata properties
  • James Hare - ORES cuts through backlogs and detecting vandalism with math! If you want to help or learn more come find us at table #4
  • legoktm - talk to me at helpdesk if you need help with Jenkins or CI. Also if you need help with IRC. I want to talk to you about your development setup on your machine.
  • Marshal - WMF Growth team. Working on a non-technical projecdt. Making a catalog on how people find help on different wikis. Wanting to learn what works/doesn't - come find me at table #13
  • CScott - WMF parser team - 1. how to do cool things with wiki content (parsoid) bots and scraping and using wiki content, come find me. 2. Wiki categories language converter
  • Leila - WMF Research, table #25. Request: working on various Recommendations Systems to identify gaps - if you speak a language of a mid-size project, or a developer interested in this, we want to learn about your challenges/questions into research questions we can work opn. Offer: We have various content and image recommendation systems available that we can help you to use.
  • Victor - from Google and community member - wants to learn how to program and how to host a hackathon to bring back to my local community. At Google wanting to learn how to contriubte more. For instance, conflict of birthdays across languages. Wanting feedback on how we migth be able to provide and use data. At table #24
  • Daniel - Project Wikicite and Wiki Med. 1. Wikicite -aggregating references in Wikidata. Scholia. 2. Using those references in Wikipedia articles 3. doing something about Nelson Mandela - we should do something on his centenerary
  • Isarra - Timeless and Wikiproject X - a Mediawiki skin and interface. Wanting to learn or need help with skins and interfaces. Also if you want a shitty logo I can help. It may be terrible, but it will be a svg.
  • Alexei - Wikidata dev - Want to talk to people using our API - likes, dislikes, etc. If you need help, I'm here.
  • Balohdi? - Wikisource - Want to talk about problems we have, and getting help with support for mobile editing.
  • Tomasz - Poland contributor - Editing wikidata and wikipedia about Eastern Europe - happy to help with translations, come find me
Qgil closed this task as Resolved.Aug 3 2018, 3:06 PM